EMULBS(1)

NAME

PcBs, Emulated Boundary-Scan Tester Platform.

SYNOPSIS

   emulbs [ -hvc ] [ -l <number> ] [ -b <number> ] [ <source.PAT> ]
                [ -e <connections_file> [ -s <bs.PAT> ] ]
                [ --pci <res.PAT> | --parallel <res.PAT> ]

DESCRIPTION

emulbs is a tool addressing a Boundary Scan card connected to the PC Printer parallel interface or to the pci bus interface. This tool is able to :

- Automatically check the Boundary-scan device for Instruction register length, Bypass register length and Boundary-scan register length,

- Execute Boundary-scan patterns directly to the device,

- Translate functionnal patterns to Boundary-scan patterns using an ASCII description of the device Boundary-scan architecture for the specific emulbs31 card.

To use this tool, you don't need to have a particular knowledge of Boundary-scan architecture. The lpscan driver should be installed if you want to use the parallel port.

If it cannot communicate with the device, emulbs will output an error message like :

Cannot check INSTRUCTION Register (longer than xxxx bits ???)
Check the card connection

DEFINITION

We call "Boundary-scan patterns" patterns written for a device with Boundary-scan architecture using only the Test Acess Port interface (i.e TDI, TDO, TMS, TCK and eventually TRST).
We call "Functionnal patterns" patterns written for a device with Boundary- scan architecture, but using the fonctionnal interface of the device or for a chip branched with the specific EMULBS31 card which emulated the boundary-scan device(--emulbs option).

OPTION

-h,--help
    Help mode. Displays possible uses of emulbs.

-v,--verbose
    Verbose mode. Dump executed patterns as asimut.

-c,--check
    Check the boundary scan device by sending some patterns. It's able to guess the kind of boundary-scan card is in use (instruction length, bypass length, boundary-scan length).

-l,--load <number>
    Do not load all patterns in memory but do it by sequences of <number> patterns. Boundary-scan patterns are well known to be huge. It's a way to save memory.

-b,--burst <number>
    When you are using a pci bus, you can choose the size in words of your dma burst. It's a nonsense to use this option with a parallel port.

-e,--emulbs <connections_file>
    <connections_file> describes the device connections between the tested chip and the test card. Functional patterns in <source.PAT> will be serialized in boundary-scan patterns.

-s,--save <connections_file>
    Save the produced boundary-scan patterns in the file <bs.PAT>. This option should be used with -e,--emulbs.

--pci <res.PAT>
    To select the pci port where the test card is connected. Results of testing <source.PAT> will be saved in the file <res.PAT>.

--parallel <res.PAT>
    To select the parallel port where the test card is connected. Results of testing <source.PAT> will be saved in the file <res.PAT>.

EMULBS CONNECTIONS FILE
--example for emulbs connexions file
--left-hand is for EMULBS connector
--right-hand is for CHIP connector

0    <=in     ck  ;
185  <=out    y   ;
56   <=in     i(0);
76   <=in     i(1);
80   <=inout  sh  ;

SEE ALSO

pat(5), asimut(1)